HOTFIX: Zlib 1.2.3 version vulnerability in InstallShield 2018

HOTFIX: Zlib 1.2.3 version vulnerability in InstallShield 2018

Summary

While performing a binary scan to a build output, experienced Zlib 1.2.3 version vulnerability in InstallShield 2018 R2.

Symptoms

While scanning with FlexNet Code Insight for the InstallShield generated executables as part of cybersecurity compliance, InstallShield received a vulnerability of Zlib 1.2.3 version.

Even with an empty Basic MSI installer, experienced Zlib 1.2.3 version vulnerability in InstallShield 2018 R2 . 

Resolution

Engineering has released a hotfix that resolves this issue by removing the old Zlib version 1.2.3.

Currently, there are no files marked as vulnerable and the latest version Zlib 1.2.11 has been merged to InstallShield.

Additional Information

Below is the download link for the Zlib Patch of InstallShield 2018:

https://flexerasoftware.flexnetoperations.com/control/inst/AnonymousDownload?dkey=14557347

Was this article helpful? Yes No
No ratings
Version history
Revision #:
6 of 6
Last update:
‎Jun 14, 2019 07:39 AM
Updated by:
 
Contributors